package storage

import (
	"time"

	"gorm.io/gorm"
)

// Describes a custom attribute field for accounts
type UserInfoField struct {
	gorm.Model       // Can actually just embed this as is here as those are not something directly exposed :3
	Name             string
	Value            string
	LastUrlCheckDate *time.Time // Used if the value is an url to somewhere. Empty if value is not an url
	// If the value is an url, this attribute indicates whether Linstrom was able to verify ownership
	// of the provided url via the common method of
	// "Does the target url contain a rel='me' link to the owner's account"
	Confirmed bool
	BelongsTo string // Id of account this info field belongs to
}

// TODO: Add functions to store, load, update and delete these
